# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
commonj.sdo.DataObject.getProperty(String)
replaced by `DataObject.getInstanceProperty(String)` in 2.1.0
commonj.sdo.DataObject.getSequence(int)
in 2.1.0.
commonj.sdo.DataObject.getSequence(Property)
in 2.1.0.
commonj.sdo.DataObject.getSequence(String)
in 2.1.0.
commonj.sdo.Sequence.add(int, String)
replaced by `Sequence.addText(int, String)` in 2.1.0
commonj.sdo.Sequence.add(String)
replaced by `Sequence.addText(String)` in 2.1.0